EDIT - task #8130

Check if related feature data is cleared when supported facts type is changed
02/22/2019 01:16 PM - Patrick Plitzner

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

For example:

1. Set a feature to support quantitative data and assign recommended measurement units, statistical measures and recommended
modifiers.

2. Change the feature to not support quantitative data

3. Check if the recommended measurement units, statistical measures and recommended modifiers are removed from the term.

Update:

It is not removed when doing this.

History

#1 - 02/22/2019 01:34 PM - Andreas Miller

We may want to implement hard or soft validation for this. Maybe also an update script to remove existing data (if it exists).

#2 - 03/06/2019 10:07 AM - Patrick Plitzner

- Status changed from New to In Progress

#3 - 03/06/2019 10:13 AM - Patrick Plitzner

- Description updated

#4 - 03/06/2019 10:14 AM - Patrick Plitzner
- Status changed from In Progress to Feedback
- Assignee changed from Patrick Plitzner to Andreas Mliller

Andreas Muller wrote:

We may want to implement hard or soft validation for this. Maybe also an update script to remove existing data (if it exists).

@Andreas: Should we convert this into a cdm ticket? This would best be done on model level, wouldn't it?

#5 - 03/06/2019 10:43 AM - Andreas Miiller

- Subject changed from Check if related term data is cleared when changing term type to Check if related feature data is cleared when supported facts
type is changed

#6 - 03/06/2019 10:44 AM - Andreas Miiller

- Description updated

#7 - 03/06/2019 10:49 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Katja, could you please check how we do these "model validations" in terms of e.g. nomenclatural code changes in TaxonName. | think there is also
at least 1 more place where we do this. We should define a common strategy how to handle these in Uls.
Additionally we should define (soft?) validations to avoid persisting such unwanted states.
#8 - 03/12/2019 08:11 AM - Katja Luther

For nomenclatural code there is a method checkForDeletableParts() where the deletable parts set to null.

But for ranks the parts are kept but not shown any more. We should discuss if this is wanted behaviour.

#9 - 03/18/2019 02:12 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#10 - 04/10/2019 05:52 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Release 5.7

moved to 5.7

#11 - 05/03/2019 11:30 AM - Patrick Plitzner

- Target version changed from Release 5.7 to Release 5.8

#12 - 07/15/2019 03:27 PM - Patrick Plitzner

- Target version changed from Release 5.8 to Release 5.10

Move to next milestone for remaining discussion

#13 - 09/18/2019 03:43 PM - Patrick Plitzner

- Target version changed from Release 5.10 to Release 5.11

Move to next milestone for remaining discussion

#14 - 11/07/2019 10:10 AM - Patrick Plitzner

- Target version changed from Release 5.11 to Release 5.12

Move to next milestone for remaining discussion

#15 - 12/17/2019 04:07 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther

#16 - 01/16/2020 11:29 AM - Andreas Muller

- Target version changed from Release 5.12 to Release 5.13

| guess this is not yet fixed.

#17 - 03/05/2020 11:39 AM - Andreas Muller

can you please check and set the correct status for the ticket?

#18 - 03/05/2020 11:41 AM - Katja Luther

- Status changed from Feedback to In Progress

| think the status should be In process and we should discuss how it should be handled in general because it should be handled the same way
everywhere.

#19 - 03/10/2020 09:58 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#20 - 04/01/2020 09:03 AM - Katja Luther

- Target version changed from Release 5.14 to Release 5.15

#21 - 06/24/2020 06:56 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

we need to decide how to handle this.
#22 - 12/04/2020 09:09 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#23 - 01/27/2021 04:46 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#24 - 03/11/2021 09:05 AM - Katja Luther

- Target version changed from Release 5.21 to Release 5.22

#25 - 04/19/2021 04:28 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
